# Method: customers.apps.fetchUsersRequestingExtension

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.FetchUsersRequestingExtensionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#body.aspect)
- [UserRequestingExtensionDetails](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#UserRequestingExtensionDetails)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#UserRequestingExtensionDetails.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#try-it)

Get a list of users that have requested to install an extension.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/apps:fetchUsersRequestingExtension`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID or "my_customer" prefixed with "customers/". |

### Query parameters

| Parameters ||
|---|---|
| `extensionId` | `string` Required. The extension for which we want to find the requesting users. |
| `pageSize` | `integer` Optional. Maximum number of results to return. Maximum and default are 50. Any page size larger than 50 will be coerced to 50. |
| `pageToken` | `string` Optional. Token to specify the page of the request to be returned. Token expires after 1 day. |
| `orgUnitId` | `string` The ID of the organizational unit. Only consider devices that directly belong to this org unit, i.e. sub-orgunits are not counted. If omitted, all data will be returned. |

### Request body

The request body must be empty.

### Response body

Response containing a list of users that have requested the queried extension.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "userDetails": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#UserRequestingExtensionDetails`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `userDetails[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchUsersRequestingExtension#UserRequestingExtensionDetails`)`` Details of users that have requested the queried extension. |
| `totalSize` | `integer` Total number of users in response. |
| `nextPageToken` | `string` Token to specify the next page in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.appdetails.readonly`

## UserRequestingExtensionDetails

Details of a user requesting an extension, including the email and the justification.

| JSON representation |
|---|
| ``` { "email": string, "justification": string } ``` |

| Fields ||
|---|---|
| `email` | `string` The e-mail address of a user that has requested the extension. |
| `justification` | `string` Request justification as entered by the user. |